# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Class GphotoOriginalVideo

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.photos.GphotoOriginalVideo

All Implemented Interfaces:
  Extension

    public class GphotoOriginalVideo

extends ExtensionPoint

The original video info field.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`GphotoOriginalVideo()` Default mutable constructor.
`GphotoOriginalVideo(java.lang.Integer channels, java.lang.Long duration, java.lang.Integer height, java.lang.Float samplingrate, java.lang.String type, java.lang.Integer width)` Immutable constructor.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`boolean` `equals(java.lang.Object obj)`
`java.lang.Integer` `getChannels()` Returns the number of audio channels.
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`java.lang.Long` `getDuration()` Returns the video playback duration in milliseconds.
`java.lang.Integer` `getHeight()` Returns the video height.
`java.lang.Float` `getSamplingrate()` Returns the audio sample rate in kHz.
`java.lang.String` `getType()` Returns the video format type.
`java.lang.Integer` `getWidth()` Returns the video width.
`boolean` `hasChannels()` Returns whether it has the number of audio channels.
`boolean` `hasDuration()` Returns whether it has the video playback duration in milliseconds.
`int` `hashCode()`
`boolean` `hasHeight()` Returns whether it has the video height.
`boolean` `hasSamplingrate()` Returns whether it has the audio sample rate in kHz.
`boolean` `hasType()` Returns whether it has the video format type.
`boolean` `hasWidth()` Returns whether it has the video width.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setChannels(java.lang.Integer channels)` Sets the number of audio channels.
`void` `setDuration(java.lang.Long duration)` Sets the video playback duration in milliseconds.
`void` `setHeight(java.lang.Integer height)` Sets the video height.
`void` `setSamplingrate(java.lang.Float samplingrate)` Sets the audio sample rate in kHz.
`void` `setType(java.lang.String type)` Sets the video format type.
`void` `setWidth(java.lang.Integer width)` Sets the video width.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GphotoOriginalVideo

    public GphotoOriginalVideo()

  Default mutable constructor.

### GphotoOriginalVideo

    public GphotoOriginalVideo(java.lang.Integer channels,
                               java.lang.Long duration,
                               java.lang.Integer height,
                               java.lang.Float samplingrate,
                               java.lang.String type,
                               java.lang.Integer width)

  Immutable constructor.

  Parameters:
    `channels` - number of audio channels.
    `duration` - video playback duration in milliseconds.
    `height` - video height.
    `samplingrate` - audio sample rate in kHz.
    `type` - video format type.
    `width` - video width.

Method Detail

### getChannels

    public java.lang.Integer getChannels()

  Returns the number of audio channels.

  Returns:
    number of audio channels

### setChannels

    public void setChannels(java.lang.Integer channels)

  Sets the number of audio channels.

  Parameters:
    `channels` - number of audio channels or `null` to reset

### hasChannels

    public boolean hasChannels()

  Returns whether it has the number of audio channels.

  Returns:
    whether it has the number of audio channels

### getDuration

    public java.lang.Long getDuration()

  Returns the video playback duration in milliseconds.

  Returns:
    video playback duration in milliseconds

### setDuration

    public void setDuration(java.lang.Long duration)

  Sets the video playback duration in milliseconds.

  Parameters:
    `duration` - video playback duration in milliseconds or `null` to reset

### hasDuration

    public boolean hasDuration()

  Returns whether it has the video playback duration in milliseconds.

  Returns:
    whether it has the video playback duration in milliseconds

### getHeight

    public java.lang.Integer getHeight()

  Returns the video height.

  Returns:
    video height

### setHeight

    public void setHeight(java.lang.Integer height)

  Sets the video height.

  Parameters:
    `height` - video height or `null` to reset

### hasHeight

    public boolean hasHeight()

  Returns whether it has the video height.

  Returns:
    whether it has the video height

### getSamplingrate

    public java.lang.Float getSamplingrate()

  Returns the audio sample rate in kHz.

  Returns:
    audio sample rate in kHz

### setSamplingrate

    public void setSamplingrate(java.lang.Float samplingrate)

  Sets the audio sample rate in kHz.

  Parameters:
    `samplingrate` - audio sample rate in kHz or `null` to reset

### hasSamplingrate

    public boolean hasSamplingrate()

  Returns whether it has the audio sample rate in kHz.

  Returns:
    whether it has the audio sample rate in kHz

### getType

    public java.lang.String getType()

  Returns the video format type.

  Returns:
    video format type

### setType

    public void setType(java.lang.String type)

  Sets the video format type.

  Parameters:
    `type` - video format type or `null` to reset

### hasType

    public boolean hasType()

  Returns whether it has the video format type.

  Returns:
    whether it has the video format type

### getWidth

    public java.lang.Integer getWidth()

  Returns the video width.

  Returns:
    video width

### setWidth

    public void setWidth(java.lang.Integer width)

  Sets the video width.

  Parameters:
    `width` - video width or `null` to reset

### hasWidth

    public boolean hasWidth()

  Returns whether it has the video width.

  Returns:
    whether it has the video width

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`